Skip to main content
GET
/
api
/
collections
/
{id}
/
notes
/
cURL
curl --request GET \
  --url https://{server}/api/collections/{id}/notes/ \
  --cookie sessionid=
[
  {
    "note": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "author": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "email": "jsmith@example.com"
      },
      "content": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "replies": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "author": {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "name": "<string>",
            "email": "jsmith@example.com"
          },
          "content": "<string>",
          "created_at": "2023-11-07T05:31:56Z"
        }
      ]
    },
    "asset": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "title": "<string>",
      "owner_type": "<string>",
      "owner_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "owner_name": "<string>",
      "creator_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "current_content": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "asset_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "allocation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "storage_path": "<string>",
        "size_bytes": 123,
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z",
        "extracted_metadata": null,
        "data_type": "<string>",
        "data_type_confidence": 123,
        "extraction_error": "<string>",
        "extraction_attempted_at": "2023-11-07T05:31:56Z",
        "files": "<unknown>"
      },
      "creator_name": "<string>",
      "effective_flags": 123,
      "preferred_repository_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "is_migrating": true,
      "is_starred": true,
      "description": "<string>",
      "alias": "<string>",
      "tags": [
        "<string>"
      ],
      "metadata": "<unknown>",
      "is_locked": true
    },
    "path": [
      {
        "name": "<string>"
      }
    ],
    "collection_path": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "title": "<string>",
        "parent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "parent_ids": [
          "3c90c3cc-0d44-4b50-8888-8dd25736052a"
        ],
        "owner_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "owner_project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "is_root": true,
        "preferred_repository_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z",
        "owner_user_name": "<string>",
        "owner_project_name": "<string>",
        "effective_flags": 123,
        "is_starred": true,
        "description": "<string>",
        "alias": "<string>",
        "tags": [
          "<string>"
        ],
        "type": [
          "<string>"
        ]
      }
    ]
  }
]

Authorizations

sessionid
string
cookie
required

Path Parameters

id
string<uuid>
required

Response

200 - application/json
note
object
required
asset
object
required
path
object[]
required
collection_path
object[]
required